## Function template make_exception_handler

boost::log::make_exception_handler

## Synopsis

    // In header: <boost/log/utility/exception_handler.hpp>

    template<typename HandlerT>
      exception_handler< typename HandlerT::exception_types, HandlerT >
      make_exception_handler(HandlerT const & handler);

## Description

The function creates an exception handler functional object. The handler will call to the user-specified functional object with an exception as its argument.

| Note
This form requires the user-defined functional object to have an `exception_types` nested type. This type should be an MPL sequence of all expected exception types.

Parameters:

`handler` | User-defined functional object that will receive exceptions.

Returns: | A nullary functional object that should be called from within a `catch` statement.